.TH XVAN 1 "Release 6" "X Version 11"
.SH NAME
Xvan, XvanMono, Xvan24 \- Sun multiple screen server for X Version 11
.SH SYNOPSIS
.B Xvan
[ option ] ...
.SH DESCRIPTION
.I Xvan
is a multiple screen server for Version 11 of the X window system on Sun
hardware.  It allows several physical screen devices to comprise a single
logical X screen that is presented to client programs.  Therefore, windows
can be moved from one physical screen to another, they can straddle
the border between two screens, and windows larger than the size of
one screen can be displayed all at once, and all of this is
completely transparent to the client applications.
The server will normally be started by the \fIxdm(1)\fP daemon or by
a script that runs the program \fIxinit(1)\fP.
.SH CONFIGURATIONS
.PP
.I Xvan
supports 8-bit color and 1-bit monochrome screens.
.I XvanMono
is configured to support only monochrome screens, for low-end systems 
with limited memory.
Like Xvan,
.I Xvan24
supports 8-bit color and 1-bit monochrome screens in addition to the
cgeight 24-bit color screen.
.PP
The server checks for \fI\-dev\fP command line option to determine which
frame buffers to use and how to combine them.  If not specified on the
command line, the server checks for the presence of the \fIXDEVICE\fP
environment variable.  See the description of the \fI\-dev\fP option
for details on its syntax.  If specific frame buffer device files
aren't specified on the command 
line with the \fI\-dev\fP switch or in the \fIXDEVICE\fP environment
variable, the server will search for all installed frame buffers and 
will use all those that it finds. The following frame buffer types are 
supported:
.TP 8
\fBbwtwo, cgtwo, cgthree, cgfour, cgsix, and cgeight.\fP
.PP
Finally, if no specific frame buffers are found, the generic frame buffer 
interface \fI/dev/fb\fP is used.
.PP
.SH KEYBOARDS
.PP
Xvan, Xvan24, and XvanMono support the Type-2, Type-3, and many variations 
of the Type-4 and Type-5 keyboards.
.PP
Type-4 and Type-5 keyboards feature a key labeled \fIAltGraph\fP which 
is a mode-shift key. The mode-shift key is used to generate the symbols 
painted on the fronts of the keys. The mode-shift key works exactly like 
the \fIShift\fP, \fIControl\fP, \fIAlt\fP, and \fI<Meta>\fP keys.
.PP
The ten function keys on the left side of the Type-5 keyboard may be 
considered as having L1..L10 painted on their fronts.  Shift-AltGraph 
will cause different keysyms to be generated for some keys, e.g. the 
Type-5 \fISysRq\fP key.
.PP
For compatibility with Sun's X11/NeWS server, the F11 and F12 keys may 
be made to generate the equivalent X11/NeWS keysyms by using mode-switch.
.PP
For backwards compatibility, the normal and mode-shifted keysyms for 
the ten function keys on the left side of Type-4 and Type-5 keyboards 
may be swapped via command line option. See \fI-swapLkeys\fP.
.PP
The X LEDs 1..4 correspond to the NumLock, ScrollLock, Compose, and
CapsLock LEDs respectively. Pressing the key once turns the corresponding
LED on. Pressing the key again turns the LED off. Turning an LED on or 
off with e.g. 'xset [-]led [1234]' is equivalent to pressing the 
corresponding key.
.SH OPTIONS
.PP
In addition to the normal server options described in the \fIXserver(1)\fP
manual page, \fIXvan\fP accepts the following command line switches:
.TP 8
.B "\-ar1 \fImilliseconds\fP"
This option specifies amount of time in milliseconds before which a 
pressed key should begin to autorepeat.
.TP 8
.B "\-ar2 \fImilliseconds\fP"
This option specifies the interval in milliseconds between autorepeats 
of pressed keys.
.TP 8
.B \-swapLkeys
Swaps the normal keysyms for the function keys on the left side of 
Type-4 and Type-5 keyboards with the alternate keysyms, i.e. the keysyms 
painted on the front of the keys.
.TP 8
.B \-flipPixels
The normal pixel values for white and black are 0 and 1 respectively. 
When -flipPixels is specified these values are reversed.
.TP 8
.B \-mono
When used with the \fBcgtwo\fP, this option indicates that the server 
should emulate a monochrome frame buffer instead of the normal color 
frame buffer.  When used with the \fBcgfour\fP, this option indicates 
that the monochrome screen should be numbered 0 and the color screen 
numbered 1 (instead of the other way around).
.TP 8
.B \-zaphod
This option disables switching between screens by sliding the mouse off 
the left or right edges.  With this disabled, a window manager function 
must be used to switch between screens.
.TP 8
.B \-debug
This option indicates that the server is being run from a debugger, and 
that it should \fBnot\fP put its standard input, output and error files 
into non-blocking mode.
.TP 8
.B "\-dev \fIfilename\fP[+\fIfilename\fP[,\fIposition\fP]][:\fIfilename...\fP]"
This option specifies the names of the frame buffer device files to be used.
Filenames separated by a plus (+) are all combined into one logical X
screen.  Each filename in such a list may be followed by a comma and a
position keyword which specifies the relative position of the corresponding
physical screen to the previous one within the global logical screen.  The
permitted position keywords are \fBleft\fP, \fBright\fP, \fBtop\fP, and
\fBbottom\fP.  If no relative position is specified, then \fBright\fP is
assumed.  Use a colon (:) to separate lists of filenames to be set up in
separate logical screens.
.TP 8
.B "\-fbinfo
This option indicates that the server should enumerate the available
frame buffers that it will use.
.SH ENVIRONMENT
.TP 8
\fBXDEVICE\fP
If present, and if no explicit \fB-dev\fP options are given, specifies 
the list of frame buffer device files to use, in the same format as the
\fB-dev\fP option.
.SH "SEE ALSO"
.PP
X(1), Xserver(1), xdm(1), xinit(1)
.SH BUGS
The auto-configuration depends on there being appropriate special files 
in the
.I /dev
directory for the frame buffers which are to be used.  Extra entries can 
confuse the server.  For example,  the X/160C in fact has the hardware 
for a monochrome
.B bwtwo0
on the CPU board.  So if 
.I /dev
has a special file for
.IR /dev/bwtwo0 ,
the server will use it,  even though there is no monitor attached to the
monochrome frame buffer.
The server will appear to start,  but not to paint a cursor,  because the
cursor is on the monochrome frame buffer. The solution is to remove the
.I /dev
entries for any device you don't have a monitor for.
.PP
Multiple physical screen devices combined into one logical screen must
be of exactly the same type; i.e., a cgthree cannot be so combined
with a cgsix, even though they have the same width, height, and depth,
so it should be allowed.
.PP
There is a bug in pre-FCS operating systems for the Sun-4 which causes 
the server to crash driving a \fBcgtwo\fP.
.PP
.SH AUTHORS
.TP 8
U. C. Berkeley
Adam de Boor.
.TP 8
Sun Microsystems
Peter C. Jones,  David Rosenthal,  Stuart Marks,  Robin Schaufler,
Mike Schwartz,  Frances Ho,  Geoff Lee,  and Mark Opperman.
.TP 8
MIT Laboratory for Computer Science
.br
Bob Scheifler, Keith Packard, Kaleb Keithley
